#!/usr/bin/env python
# -*- coding: utf-8 -*-
# rasipfon.py (open with python3)

#import sys
import os
import queue
import threading
from time import sleep

from configparser import SafeConfigParser # ConfigParser py2, configparser py3 
from rasipfon_linphone_wrapper import Wrapper

callback_queue = queue.Queue()

def OnIncomingCall():
    print ('---incoming call---')
def OnOutgoingCall():
    print ('---outgoing call---')
def OnRemoteHungupCall():
    print ('---hungup---  ---remote disconnected the call---')
def OnSelfHungupCall():
    print ('---hungup---  ---local disconnected the call---')



parser = SafeConfigParser() # get data from config file
parser.read('rasipfon.conf')



SipClient = Wrapper()
SipClient.StartLinphone()
SipClient.SipRegister(parser.get('sip','username'),parser.get('sip','hostname'),parser.get('sip','password'))
SipClient.RegisterCallbacks(OnIncomingCall, OnOutgoingCall, OnRemoteHungupCall, OnSelfHungupCall)
SipClient.start()   # Start SipClient thread
sleep(3)


#if self.SipClient is not None:
#    self.SipClient.SipHangup()
#if self.SipClient is not None:
#    self.SipClient.SipAnswer()

SipClient.SipCall('123456789')

#self.SipClient.StopLinphone()

