#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# rasipfon_ring.py

import RPi.GPIO as GPIO

GPIO.setmode(GPIO.BCM)

pin_rot1  = 25 
pin_hook  = 24 
pin_pushb = 23 
pin_rot2  = 8 

GPIO.setup(pin_rot1, GPIO.IN)
GPIO.setup(pin_hook, GPIO.IN)
GPIO.setup(pin_pushb, GPIO.IN)
GPIO.setup(pin_rot2, GPIO.IN)

try:
    while True:
        if GPIO.input(pin_rot1):
            print('Rot1 HIGH\t',end='')
        else:
            print('Rot1  LOW\t',end='')
        if GPIO.input(pin_rot2):
            print('Rot2 HIGH\t',end='')
        else:
            print('Rot2  LOW\t',end='')
        if GPIO.input(pin_hook):
            print('Hook HIGH\t',end='')
        else:
            print('Hook  LOW\t',end='')
        if GPIO.input(pin_pushb):
            print('PB HIGH')
        else:
            print('PB  LOW')
# ctrl+c
except KeyboardInterrupt:
    print("\nStopped with keyboard interrupt!")
    GPIO.cleanup()
